Skip to main content
GET
/
counterparties
/
received
List senders
curl --request GET \
  --url https://api.natural.co/counterparties/received \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "pty_4a8c9823f39c42a5b817556766551112",
      "type": "party",
      "attributes": {
        "counterpartyPartyId": "pty_4a8c9823f39c42a5b817556766551112",
        "totalAmountMinor": 500000,
        "transactionCount": 5,
        "firstAt": "2026-01-04T15:30:00.000Z",
        "partyName": "Natural",
        "partyEmail": "contact@natural.co",
        "partyStatus": "ACTIVE"
      }
    }
  ],
  "meta": {
    "pagination": {
      "hasMore": false,
      "nextCursor": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Required when X-Agent-ID is present. Session or conversation ID for agent observability.

Maximum string length: 1024

Query Parameters

cursor
string

Cursor for pagination

limit
integer
default:50

Maximum number of results

Required range: 1 <= x <= 100

Response

Successful Response

data
CounterpartyResource · object[]
required
meta
object
required